summaryrefslogtreecommitdiff
path: root/makeinfo/tests/copying
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/copying')
-rwxr-xr-xmakeinfo/tests/copying13
1 files changed, 13 insertions, 0 deletions
diff --git a/makeinfo/tests/copying b/makeinfo/tests/copying
new file mode 100755
index 0000000..4a033f0
--- /dev/null
+++ b/makeinfo/tests/copying
@@ -0,0 +1,13 @@
+#!/bin/sh
+# $Id: copying,v 1.4 2007/07/01 18:38:52 karl Exp $
+# Test @copying. The configure script for tramp uses this to make sure
+# the makeinfo that is present supports @copying.
+
+unset TEXINFO_OUTPUT LANG LANGUAGE
+LC_ALL=POSIX; export LC_ALL
+: ${srcdir=.}
+
+../makeinfo -o copying.out $srcdir/copying.txi || exit 1
+fgrep 'produced by' copying.out >/dev/null || exit 2
+
+rm -f copying.out